/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptVersion;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* 查询接口--数据传输对象：脚本版本信息表
*
* createdate:  2022-10-18 17:29:55  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本版本信息表")
public class AtuScriptVersionQueryDto implements Serializable
{
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-scriptId: 数据长度不能 > 32" )
    private String scriptId;
    /**
     * 脚本版本ID<br>
     */
    @ApiModelProperty("脚本版本ID")
    private Integer versionId;
    /**
     * 版本名称<br>
     */
    @ApiModelProperty("版本名称")
    @Size(max = 255, message="版本名称-versionName: 数据长度不能 > 255" )
    private String versionName;

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public Integer getVersionId() {
        return versionId;
    }

    public void setVersionId(Integer versionId) {
        this.versionId = versionId;
    }
}